Agora RTC Objective-C API Reference Refactor

Data Fields
VideoRenderingTracingInfo Struct Reference

## Data Fields
int | elapsedTime
int | start2JoinChannel
int | join2JoinSuccess
int | joinSuccess2RemoteJoined
int | remoteJoined2SetView
int | remoteJoined2UnmuteVideo
int | remoteJoined2PacketReceived

## Detailed Description

The video rendering tracing result

## Field Documentation

## ◆ elapsedTime

int elapsedTime

Elapsed time from the start tracing time to the time when the tracing event occurred.

## ◆ start2JoinChannel

int start2JoinChannel

Elapsed time from the start tracing time to the time when join channel.

Note If the start tracing time is behind the time when join channel, this value will be negative.

## ◆ join2JoinSuccess

int join2JoinSuccess

Elapsed time from joining channel to finishing joining channel.

## ◆ joinSuccess2RemoteJoined

int joinSuccess2RemoteJoined

Elapsed time from finishing joining channel to remote user joined.

Note If the start tracing time is after the time finishing join channel, this value will be the elapsed time from the start tracing time to remote user joined. The minimum value is 0.

## ◆ remoteJoined2SetView

int remoteJoined2SetView

Elapsed time from remote user joined to set the view.

Note If the start tracing time is after the time when remote user joined, this value will be the elapsed time from the start tracing time to set the view. The minimum value is 0.

## ◆ remoteJoined2UnmuteVideo

int remoteJoined2UnmuteVideo

Elapsed time from remote user joined to the time subscribing remote video stream.

Note If the start tracing time is after the time when remote user joined, this value will be the elapsed time from the start tracing time to the time subscribing remote video stream. The minimum value is 0.

## ◆ remoteJoined2PacketReceived

int remoteJoined2PacketReceived

Elapsed time from remote user joined to the remote video packet received.

Note If the start tracing time is after the time when remote user joined, this value will be the elapsed time from the start tracing time to the time subscribing remote video stream. The minimum value is 0.